* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Arial, Helvetica, sans-serif;
}

.nav-bar h4 {
  margin: 0.5rem;
  font-weight: normal;
}

.nav-bar {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  background-color: #000000;
  color: #ffffff;
  margin-bottom: 1rem;
  position: sticky;
  top:0;
  z-index:10;
}

.nav-bar-links-contatiner {
  display: flex;
  flex-direction: row;
  text-decoration: none;
  list-style-type: none;
  gap: 0.5rem;
}
.nav-link {
  padding: 0.5rem;
}

.container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  max-height: 100vh;
}

.card-container {
  display: flex;
  flex-direction: row;
  margin: 1rem;
  padding: 1rem;
  max-height: 85vh;
  max-width: 70vw;
}
.card {
  display: flex;
  flex-direction: column;
  margin: 1rem;
  padding: 1rem;
}
.description {
  display: flex;
  flex-direction: column;
  margin: 1rem;
  border-radius: 5%;
  border: solid #FCA311;
  padding: 2rem;
}
.image {
  width: 100px;
  height: 100px;
  margin: 2rem;
}

.block-button{
    text-decoration: none;
    color: #000000;
    width: 95%;
    background-color: #E5E5E5;
    border-radius: 0.5rem;
    padding: 0.5rem 1rem;
    margin: 2rem auto;
}

.block-button:hover{
    background-color: #FCA311;
    transition: 0.4s ease-in-out;
}

.description p {
    font-size: 2rem;
    font-weight: bold;
}
.footer {
    position: fixed;
    bottom: 0;
    width: 100%;
    background-color: #000000;
    color: #ffffff;
    font-weight: 100;
    font-size: 1rem;
    text-align: center;
    padding: 0.5rem;
}

.nav-link a {
  text-decoration: none;
  color: #ffffff;
}

.nav-link a:hover{
  color: #FCA311;
  transition: 0.4s ease-in-out;
}

span img {
  width: 0.8rem;
  height: 0.8rem;
}

@media (max-width: 600px) {
  .card-container {
    flex-direction: column;
    align-items: center;
  }
  .card {
    width: 90%;
    padding: 0.5rem;
    margin: 0.5rem;
  }

  .description {
    margin: 0;
  }
}

.selected-page {
  color: #FCA311;
}
.validation {
    color: red;
    font-size: 0.7rem;
    margin: 0.1rem;
}

#loading-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: black;
    display: none;
    z-index: 9999;
    opacity: 1;
    transition: opacity 0.5s ease; /* Smooth transition for opacity */
}

.spinner {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border: 5px solid rgba(0, 0, 0, 0.3);
    border-radius: 50%;
    border-top: 5px solid #ffffff;
    width: 50px;
    height: 50px;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}
.button {
  margin: 0.2rem;
}